BASE_URI = "http://127.0.0.1:3000"

JWT = str()

AUTOFETCH = str()

# merge these settings with django.conf.settings
try:
    from django.conf import settings as django_settings
    from django.core.exceptions import ImproperlyConfigured
    for k in list(globals().keys()):  # list() prevents errors on changes
        if k.isupper() and not k.startswith("_"):  # looks like a setting
            try:
                new_value = getattr(django_settings, "POSTGREST_UTILS_" + k)
                globals()[k] = new_value
            except ImproperlyConfigured:
                pass  # django is installed but not used
            except AttributeError:
                pass  # django is installed and used, but the setting is not present
except ImportError:
    pass  # no django
